import { fork } from "redux-saga/effects";
import auth from './auth'
import userFields from './userFields/index';
import cards from './cards';

export default function*() {
    yield [
        fork(auth),
        fork(userFields),
        fork(cards)
    ]
}