import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/userFields/changeEmail'
import axios from 'axios';
import { USERS_CHANGE_URL } from '../../../constants/index'

export default function* ({payload:{id, login}}) {
    try {
        console.log("payload inside the saga", id);
        const payloads = yield call(() =>
            axios.put(`${USERS_CHANGE_URL}${id}`, {body:{login}})
                .then(({ data }) => data)
        );
        yield put(actions.userChangeRequestSucces(payloads));
    }
    catch ({ message }) {
        yield put(actions.userChangeRequestFailure(message))
    }
}