import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/userFields/changePassword'
import axios from 'axios';
import { USERS_CHANGE_URL } from '../../../constants/index'

export default function* ({payload:{id , password}}) {
    try {
        console.log("payload inside the saga", password);
        const payloads = yield call(() =>
            fetch(`${USERS_CHANGE_URL}${id}`, {
            method:"PUT",
            body:JSON.stringify({password})
            }
            )
                .then(({ data }) => data.json)
        );
        yield put(actions.passwordChangeRequestSucces(payloads));
    }
    catch ({ message }) {
        yield put(actions.passwordChangeRequestFailure(message))
    }
}