import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/adminActions/index'
import axios from 'axios';
import { SIGN_UP_URL } from '../../../constants/index'

export default function* (payload) {
    try {
        console.log("payload inside the saga", payload);
        const payloads = yield call(() =>
            axios.get(SIGN_UP_URL)
                .then(({ data }) => data)
        );
        yield put(actions.userGetRequestSucces(payloads));
    }
    catch ({ message }) {
        yield put(actions.userGetRequestFailure(message))
    }
}